# Pipeline Search History

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Pipeline Search History"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/pipelines/{pipeline_name}/search_history"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns the search history for a pipeline, which includes information such as the query, the answer,
the pipeline used, and more. Supports pagination, filtering, and sorting.

Two pagination methods are supported:
- **Cursor-based** (recommended): follow the `next` cursor returned in each response by passing it
  back as the `cursor` query parameter. This is the only way to page beyond the backing store's
  result-window limit (10,000 records).
- **Offset-based**: use `offset` (or the legacy `after` integer). Cannot page past the result-window
  limit; kept for backward compatibility.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
>
  <Translate id="theme.openapi.request.title">Request</Translate>
</Heading>

<ParamsDetails
  {...require("./pipeline-search-history-api-v-1-workspaces-workspace-name-pipelines-pipeline-name-search-history-get.ParamsDetails.json")}
>
  
</ParamsDetails>

<RequestSchema
  {...require("./pipeline-search-history-api-v-1-workspaces-workspace-name-pipelines-pipeline-name-search-history-get.RequestSchema.json")}
>
  
</RequestSchema>

<StatusCodes
  {...require("./pipeline-search-history-api-v-1-workspaces-workspace-name-pipelines-pipeline-name-search-history-get.StatusCodes.json")}
>
  
</StatusCodes>
